@ECHO OFF
REM EUREKMOD.BAT
REM
REM D. P. Steele, 12 August 1993
REM
REM Copied from EUREKA.BAT on 19 October 1993 by D. P. Steele.
REM
REM Modified from EUREK2X2.BAT on 10 December 1993 by D P Steele.
REM Modified from NEWEU2X2.BAT by D P Steele on 20 Sept. 1994.
REM Modified from EUREKAUT.BAT by D P Steele on 7 Dec. 1994.
ECHO EUREKMOD.BAT

::GO_TO_ROOT
CD C:\

::SAVE_LAST_DATE
SET TODAY=%DATE%

::SET_DATE
CALL SETDTVAR
CALL SETMOVAR
CALL SETYRVAR
IF %TODAY%==%DATE% GOTO SET_HOUR

::ITS_A_NEW_DAY
CALL SETYDVAR
SET BACKUP_DONE=FALSE
CALL KI_SETUP
REM   These only get done once a day, just after 00:00 UT.

:SET_HOUR
REM	Set a variable giving the current hour.
CALL SETHRVAR
REM	If the daily backup has been done, go on with normal ops.
IF EXIST %KI_LOG%\BKUPDONE.%HEXMO%%DATE% GOTO EVERYTIME
REM     Otherwise, check whether the time for backup has come; if
REM	it has, attempt a backup; if not, go on with normal ops.
GETHOUR
IF ERRORLEVEL %BKUPHOUR% GOTO BACKUP
GOTO EVERYTIME

:BACKUP
CALL DOBACKUP
CALL CLEANUP %YESTERDAY%
SET BACKUP_DONE=TRUE

:EVERYTIME
PING

::EPHEM
KI_EP -start EUREKA.POS
IF NOT EXIST RUNKI GOTO STATUSES

::ONCE_AN_HOUR
IF %LAST_TIME%==%HOUR% GOTO OPEN_SHUTTER
ECHO Take dark frames...
KI -s KI_START.EUR -x DARKS4X4
COPY D:\KI_DATA.DAT C:\USER\BERNIE\INTERP\FILES > NUL
DEL RUNKI
GOTO UPDATE_LAST_TIME

:OPEN_SHUTTER
CALL SETMNVAR
::First of three OH+background cycles per hour
IF %MINUTE%==01 GOTO BGOH
IF %MINUTE%==02 GOTO BGOH
IF %MINUTE%==03 GOTO BGOH
IF %MINUTE%==04 GOTO BGOH
IF %MINUTE%==05 GOTO BGOH
IF %MINUTE%==06 GOTO BGOH
IF %MINUTE%==07 GOTO BGOH
::Second of three OH+background cycles per hour
IF %MINUTE%==20 GOTO BGOH
IF %MINUTE%==21 GOTO BGOH
IF %MINUTE%==22 GOTO BGOH
IF %MINUTE%==23 GOTO BGOH
IF %MINUTE%==24 GOTO BGOH
IF %MINUTE%==25 GOTO BGOH
::Third of three OH+background cycles per hour
IF %MINUTE%==40 GOTO BGOH
IF %MINUTE%==41 GOTO BGOH
IF %MINUTE%==42 GOTO BGOH
IF %MINUTE%==43 GOTO BGOH
IF %MINUTE%==44 GOTO BGOH
IF %MINUTE%==45 GOTO BGOH

:OIN2PLUS
ECHO Take OI and N2+ images...
KI -s KI_START.EUR -x OIN2PLUS
SET BGOHDONE=
COPY D:\KI_DATA.DAT C:\USER\BERNIE\INTERP\FILES > NUL
DEL RUNKI
GOTO UPDATE_LAST_TIME

:BGOH
IF %BGOHDONE%==TRUE GOTO OIN2PLUS
ECHO Take OH and background images...
KI -s KI_START.EUR -x BGOH
SET BGOHDONE=TRUE
COPY D:\KI_DATA.DAT C:\USER\BERNIE\INTERP\FILES > NUL
DEL RUNKI
GOTO UPDATE_LAST_TIME

:STATUSES
REM ECHO Run KI to check camera statuses
KI -s KI_START.EUR -x STATUSES

:UPDATE_LAST_TIME
SET LAST_TIME=%HOUR%

::END
